define(["require", "exports", "roosterjs-editor-dom"], function (require, exports, roosterjs_editor_dom_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CursorFeatures = void 0;
    var NoCycleCursorMove = {
        keys: [37 /* LEFT */, 39 /* RIGHT */],
        allowFunctionKeys: true,
        shouldHandleEvent: function (event, editor, ctrlOrMeta) {
            var range = null;
            var position;
            if (!ctrlOrMeta ||
                !(range = editor.getSelectionRange()) ||
                !range.collapsed ||
                !(position = roosterjs_editor_dom_1.Position.getStart(range)) ||
                !editor.isPositionAtBeginning(position)) {
                return false;
            }
            var rtl = (0, roosterjs_editor_dom_1.getComputedStyle)(position.element, 'direction') == 'rtl';
            var rawEvent = event.rawEvent;
            return (!rtl && rawEvent.which == 37 /* LEFT */) || (rtl && rawEvent.which == 39 /* RIGHT */);
        },
        handleEvent: function (event) {
            event.rawEvent.preventDefault();
        },
        defaultDisabled: !roosterjs_editor_dom_1.Browser.isChrome,
    };
    /**
     * @internal
     */
    exports.CursorFeatures = {
        noCycleCursorMove: NoCycleCursorMove,
    };
});
//# sourceMappingURL=cursorFeatures.js.map