import type ImageEditInfo from '../types/ImageEditInfo';
import type { IEditor } from 'roosterjs-editor-types';
/**
 * @internal
 * Apply changes from the edit info of an image, write result to the image
 * @param editor The editor object that contains the image
 * @param image The image to apply the change
 * @param editInfo Edit info that contains the changed information of the image
 * @param previousSrc Last src value of the image before the change was made
 * @param wasResizedOrCropped if the image was resized or cropped apply the new image dimensions
 * @param editingImage (optional) Image in editing state
 */
export default function applyChange(editor: IEditor, image: HTMLImageElement, editInfo: ImageEditInfo, previousSrc: string, wasResizedOrCropped: boolean, editingImage?: HTMLImageElement, applyChangesOnMouseUp?: boolean): void;
