define(["require", "exports", "roosterjs-editor-dom", "./deprecatedColorList"], function (require, exports, roosterjs_editor_dom_1, deprecatedColorList_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * @internal
     * Remove the deprecated colors from pasted content
     * @param sanitizingOption the sanitizingOption of BeforePasteEvent
     * */
    function sanitizeHtmlColorsFromPastedContent(sanitizingOption) {
        ['color', 'background-color'].forEach(function (property) {
            (0, roosterjs_editor_dom_1.chainSanitizerCallback)(sanitizingOption.cssStyleCallbacks, property, function (value) { return deprecatedColorList_1.DeprecatedColorList.indexOf(value) < 0; });
        });
    }
    exports.default = sanitizeHtmlColorsFromPastedContent;
});
//# sourceMappingURL=sanitizeHtmlColorsFromPastedContent.js.map