define(["require", "exports", "./isAfter", "roosterjs-editor-dom", "./updateSelection"], function (require, exports, isAfter_1, roosterjs_editor_dom_1, updateSelection_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.restoreSelection = void 0;
    /**
     * @internal
     */
    function restoreSelection(state, editor) {
        if (!state.lastTarget || !state.firstTarget) {
            return;
        }
        if (state.firstTable) {
            editor.select(state.firstTable, null /* coordinates */);
        }
        state.tableSelection = false;
        var isBeginAboveEnd = (0, isAfter_1.isAfter)(state.firstTarget, state.lastTarget);
        var targetPosition = new roosterjs_editor_dom_1.Position(state.lastTarget, isBeginAboveEnd ? -1 /* End */ : 0 /* Begin */);
        var firstTargetRange = new Range();
        if (state.firstTarget) {
            firstTargetRange.selectNodeContents(state.firstTarget);
        }
        (0, updateSelection_1.updateSelection)(editor, state.firstTarget, isBeginAboveEnd
            ? roosterjs_editor_dom_1.Position.getEnd(firstTargetRange).offset
            : roosterjs_editor_dom_1.Position.getStart(firstTargetRange).offset, targetPosition.element, targetPosition.offset);
    }
    exports.restoreSelection = restoreSelection;
});
//# sourceMappingURL=restoreSelection.js.map