define(["require", "exports", "./getCellAtCursor", "./getTableAtCursor", "../constants"], function (require, exports, getCellAtCursor_1, getTableAtCursor_1, constants_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.setData = void 0;
    /**
     * @internal
     */
    function setData(eventTarget, state, editor) {
        var pos = editor.getFocusedPosition();
        if (pos) {
            state.firstTarget = state.firstTarget || (0, getCellAtCursor_1.getCellAtCursor)(editor, pos.node);
            if (state.firstTarget.nodeType == Node.TEXT_NODE) {
                state.firstTarget = editor.getElementAtCursor(constants_1.TABLE_CELL_SELECTOR, state.firstTarget);
            }
            if (!editor.contains(state.firstTarget) && state.lastTarget) {
                state.firstTarget = state.lastTarget;
            }
        }
        state.firstTable = (0, getTableAtCursor_1.getTableAtCursor)(editor, state.firstTarget);
        state.lastTarget = (0, getCellAtCursor_1.getCellAtCursor)(editor, eventTarget);
        state.targetTable = (0, getTableAtCursor_1.getTableAtCursor)(editor, state.lastTarget);
    }
    exports.setData = setData;
});
//# sourceMappingURL=setData.js.map