import { contains, safeInstanceOf } from 'roosterjs-editor-dom';
var TABLE_CELL_SELECTOR = 'td,th';
var TABLE_SELECTOR = 'table';
/**
 * @internal
 */
export var announceWarningOnLastCell = {
    shouldHandle: function (editor, lastFocusedElement) {
        var selection = editor.getSelectionRangeEx();
        return ((selection === null || selection === void 0 ? void 0 : selection.type) == 0 /* Normal */ &&
            selection.areAllCollapsed &&
            selection.ranges.length === 1 &&
            !contains(lastFocusedElement, selection.ranges[0].startContainer, true /*treatSameNodeAsContain*/) &&
            isLastCell() && {
            defaultStrings: 3 /* AnnounceOnFocusLastCell */,
        });
        function isLastCell() {
            var table = editor.getElementAtCursor(TABLE_SELECTOR);
            if (safeInstanceOf(table, 'HTMLTableElement')) {
                var allCells = table.querySelectorAll(TABLE_CELL_SELECTOR);
                var focusedCell = editor.getElementAtCursor(TABLE_CELL_SELECTOR);
                return focusedCell == allCells.item(allCells.length - 1);
            }
            return false;
        }
    },
    keys: [9 /* TAB */, 38 /* UP */, 40 /* DOWN */, 37 /* LEFT */, 39 /* RIGHT */],
};
//# sourceMappingURL=announceWarningOnLastTableCell.js.map