import { Browser, getComputedStyle, Position } from 'roosterjs-editor-dom';
var NoCycleCursorMove = {
    keys: [37 /* LEFT */, 39 /* RIGHT */],
    allowFunctionKeys: true,
    shouldHandleEvent: function (event, editor, ctrlOrMeta) {
        var range = null;
        var position;
        if (!ctrlOrMeta ||
            !(range = editor.getSelectionRange()) ||
            !range.collapsed ||
            !(position = Position.getStart(range)) ||
            !editor.isPositionAtBeginning(position)) {
            return false;
        }
        var rtl = getComputedStyle(position.element, 'direction') == 'rtl';
        var rawEvent = event.rawEvent;
        return (!rtl && rawEvent.which == 37 /* LEFT */) || (rtl && rawEvent.which == 39 /* RIGHT */);
    },
    handleEvent: function (event) {
        event.rawEvent.preventDefault();
    },
    defaultDisabled: !Browser.isChrome,
};
/**
 * @internal
 */
export var CursorFeatures = {
    noCycleCursorMove: NoCycleCursorMove,
};
//# sourceMappingURL=cursorFeatures.js.map