import type { EditorPlugin, IEditor, PluginEvent } from 'roosterjs-editor-types';
/**
 * Maintain list numbers of list chain when content is modified by cut/paste/drag&drop
 */
export default class CutPasteListChain implements EditorPlugin {
    private chains;
    private expectedChangeSource;
    private editor;
    private disposer;
    /**
     * Get a friendly name of this plugin
     */
    getName(): string;
    /**
     * Initialize this plugin
     * @param editor The editor instance
     */
    initialize(editor: IEditor): void;
    /**
     * Dispose this plugin
     */
    dispose(): void;
    /**
     * Handle events triggered from editor
     * @param event PluginEvent object
     */
    onPluginEvent(event: PluginEvent): void;
    private onDrop;
    private cacheListChains;
}
