import { getTagOfNode } from 'roosterjs-editor-dom';
/**
 * @internal
 * Search through from editor div to it's root for the latest z-index value
 * @param editorDiv the editor div element
 * @returns the z index value
 */
export default function getLatestZIndex(editorDiv) {
    var child = editorDiv;
    var zIndex = 0;
    while (child && getTagOfNode(child) !== 'BODY') {
        var childZIndex = parseInt(child.style.zIndex || getComputedStyle(child).zIndex, 10);
        if (childZIndex) {
            zIndex = Math.max(zIndex, childZIndex);
        }
        child = child.parentElement;
    }
    return zIndex;
}
//# sourceMappingURL=getLastZIndex.js.map