import type DragAndDropContext from '../types/DragAndDropContext';
import type DragAndDropHandler from '../../../pluginUtils/DragAndDropHandler';
import type ImageHtmlOptions from '../types/ImageHtmlOptions';
import type { CreateElementData, Rect } from 'roosterjs-editor-types';
import type { RotateInfo } from '../types/ImageEditInfo';
/**
 * @internal
 * The rotate drag and drop handler
 */
export declare const Rotator: DragAndDropHandler<DragAndDropContext, RotateInfo>;
/**
 * @internal
 * Move rotate handle. When image is very close to the border of editor, rotate handle may not be visible.
 * Fix it by reduce the distance from image to rotate handle
 */
export declare function updateRotateHandleState(editorRect: Rect, angleRad: number, wrapper: HTMLElement, rotateCenter: HTMLElement, rotateHandle: HTMLElement, isSmallImage: boolean): void;
/**
 * @internal
 * Get HTML for rotate elements, including the rotate handle with icon, and a line between the handle and the image
 */
export declare function getRotateHTML({ borderColor, rotateHandleBackColor, }: ImageHtmlOptions): CreateElementData[];
