import { moveChildNodes } from 'roosterjs-editor-dom';
/**
 * @internal
 * Convert pasted content if there are HTML and Image data in the Clipboard
 * @param event The BeforePaste event
 */
export default function convertPasteContentForSingleImage(event, trustedHTMLHandler) {
    var fragment = event.fragment, clipboardData = event.clipboardData;
    var html = clipboardData.html, image = clipboardData.image;
    if (html && image) {
        //If there are Html in the clipboard, and the html body only have one img children, use the HTML
        var doc = new DOMParser().parseFromString(trustedHTMLHandler(html), 'text/html');
        moveChildNodes(fragment, doc === null || doc === void 0 ? void 0 : doc.body);
    }
}
//# sourceMappingURL=convertPasteContentForSingleImage.js.map