import { moveChildNodes } from 'roosterjs-editor-dom';
/**
 * @internal
 * Convert pasted content from PowerPoint
 * @param event The BeforePaste event
 */
export default function convertPastedContentFromPowerPoint(event, trustedHTMLHandler) {
    var fragment = event.fragment, clipboardData = event.clipboardData;
    if (clipboardData.html && !clipboardData.text && clipboardData.image) {
        // It is possible that PowerPoint copied both image and HTML but not plain text.
        // We always prefer HTML if any.
        var doc = new DOMParser().parseFromString(trustedHTMLHandler(clipboardData.html), 'text/html');
        moveChildNodes(fragment, doc === null || doc === void 0 ? void 0 : doc.body);
    }
}
//# sourceMappingURL=convertPastedContentFromPowerPoint.js.map