import { chainSanitizerCallback } from 'roosterjs-editor-dom';
import { DeprecatedColorList } from './deprecatedColorList';
/**
 * @internal
 * Remove the deprecated colors from pasted content
 * @param sanitizingOption the sanitizingOption of BeforePasteEvent
 * */
export default function sanitizeHtmlColorsFromPastedContent(sanitizingOption) {
    ['color', 'background-color'].forEach(function (property) {
        chainSanitizerCallback(sanitizingOption.cssStyleCallbacks, property, function (value) { return DeprecatedColorList.indexOf(value) < 0; });
    });
}
//# sourceMappingURL=sanitizeHtmlColorsFromPastedContent.js.map