import { chainSanitizerCallback } from 'roosterjs-editor-dom';
var SUPPORTED_PROTOCOLS = ['http:', 'https:', 'notes:', 'mailto:', 'onenote:'];
/**
 * @internal
 * Clear local paths and remove link
 * @param sanitizingOption the sanitizingOption of BeforePasteEvent
 * */
export default function sanitizeLinks(sanitizingOption) {
    chainSanitizerCallback(sanitizingOption.attributeCallbacks, 'href', function (value, element) { return validateLink(value, element); });
}
function validateLink(link, htmlElement) {
    var url;
    try {
        url = new URL(link);
    }
    catch (_a) {
        url = undefined;
    }
    /* whitelist supported protocols */
    if (url && SUPPORTED_PROTOCOLS.indexOf(url.protocol) > -1) {
        return link;
    }
    htmlElement.removeAttribute('href');
    return '';
}
//# sourceMappingURL=sanitizeLinks.js.map