import { clearState } from '../utils/clearState';
import { isCharacterValue } from 'roosterjs-editor-dom';
var IGNORE_KEY_UP_KEYS = [
    16 /* SHIFT */,
    18 /* ALT */,
    91 /* META_LEFT */,
    17 /* CTRL_LEFT */,
    44 /* PRINT_SCREEN */,
];
/**
 * @internal
 */
export function handleKeyUpEvent(event, state, editor) {
    var _a = event.rawEvent, shiftKey = _a.shiftKey, which = _a.which, ctrlKey = _a.ctrlKey;
    if (!shiftKey &&
        !ctrlKey &&
        state.firstTarget &&
        !state.preventKeyUp &&
        IGNORE_KEY_UP_KEYS.indexOf(which) == -1) {
        if (isCharacterValue(event.rawEvent)) {
            editor.addUndoSnapshot();
        }
        clearState(state, editor);
    }
    state.preventKeyUp = false;
}
//# sourceMappingURL=handleKeyUpEvent.js.map