import { findClosestElementAncestor } from 'roosterjs-editor-dom';
import { getTableAtCursor } from './getTableAtCursor';
import { TABLE_CELL_SELECTOR } from '../constants';
/**
 * @internal
 *  Check if the selection started in a inner table.
 */
export function prepareSelection(state, editor) {
    var _a, _b, _c, _d;
    if (!state.firstTable || !state.targetTable) {
        return;
    }
    var isNewTargetTableContained = state.lastTarget != state.firstTarget &&
        ((_a = state.firstTable) === null || _a === void 0 ? void 0 : _a.contains(findClosestElementAncestor(state.targetTable, state.firstTable, TABLE_CELL_SELECTOR)));
    if (isNewTargetTableContained && state.tableSelection) {
        while (isNewTargetTableContained) {
            state.lastTarget = findClosestElementAncestor(state.targetTable, state.firstTable, TABLE_CELL_SELECTOR);
            state.targetTable = getTableAtCursor(editor, state.lastTarget);
            isNewTargetTableContained =
                state.lastTarget != state.firstTarget &&
                    ((_b = state.firstTable) === null || _b === void 0 ? void 0 : _b.contains(findClosestElementAncestor(state.targetTable, state.firstTable, TABLE_CELL_SELECTOR)));
        }
    }
    var isFirstTargetTableContained = state.lastTarget != state.firstTarget &&
        ((_c = state.targetTable) === null || _c === void 0 ? void 0 : _c.contains(findClosestElementAncestor(state.firstTable, state.targetTable, TABLE_CELL_SELECTOR)));
    if (isFirstTargetTableContained && state.tableSelection && state.targetTable) {
        while (isFirstTargetTableContained) {
            state.firstTarget = findClosestElementAncestor(state.firstTable, state.targetTable, TABLE_CELL_SELECTOR);
            if (!state.firstTarget) {
                return;
            }
            state.firstTable = getTableAtCursor(editor, state.firstTarget);
            isFirstTargetTableContained =
                state.lastTarget != state.firstTarget &&
                    ((_d = state.targetTable) === null || _d === void 0 ? void 0 : _d.contains(findClosestElementAncestor(state.firstTable, state.targetTable, TABLE_CELL_SELECTOR)));
        }
    }
}
//# sourceMappingURL=prepareSelection.js.map