import { getCellAtCursor } from './getCellAtCursor';
import { getTableAtCursor } from './getTableAtCursor';
import { TABLE_CELL_SELECTOR } from '../constants';
/**
 * @internal
 */
export function setData(eventTarget, state, editor) {
    var pos = editor.getFocusedPosition();
    if (pos) {
        state.firstTarget = state.firstTarget || getCellAtCursor(editor, pos.node);
        if (state.firstTarget.nodeType == Node.TEXT_NODE) {
            state.firstTarget = editor.getElementAtCursor(TABLE_CELL_SELECTOR, state.firstTarget);
        }
        if (!editor.contains(state.firstTarget) && state.lastTarget) {
            state.firstTarget = state.lastTarget;
        }
    }
    state.firstTable = getTableAtCursor(editor, state.firstTarget);
    state.lastTarget = getCellAtCursor(editor, eventTarget);
    state.targetTable = getTableAtCursor(editor, state.lastTarget);
}
//# sourceMappingURL=setData.js.map