"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var bulletListType = {
    '*': 1 /* Disc */,
    '-': 2 /* Dash */,
    '--': 3 /* Square */,
    '->': 5 /* LongArrow */,
    '-->': 8 /* DoubleLongArrow */,
    '=>': 6 /* UnfilledArrow */,
    '>': 4 /* ShortArrow */,
    '—': 7 /* Hyphen */,
};
var identifyBulletListType = function (bullet) {
    return bulletListType[bullet] || null;
};
/**
 * @internal
 * @param textBeforeCursor The trigger character
 * @returns The style of a bullet list triggered by a string
 */
function getAutoBulletListStyle(textBeforeCursor) {
    var trigger = textBeforeCursor.trim();
    var bulletType = identifyBulletListType(trigger);
    return bulletType;
}
exports.default = getAutoBulletListStyle;
//# sourceMappingURL=getAutoBulletListStyle.js.map