import type { IEditor } from 'roosterjs-editor-types';
/**
 * Resize the image by percentage of its natural size. If the image is cropped or rotated,
 * the final size will also calculated with crop and rotate info.
 * @param editor The editor that contains the image
 * @param image The image to resize
 * @param percentage Percentage to resize to
 * @param minWidth Minimum width
 * @param minHeight Minimum height
 */
export default function resizeByPercentage(editor: IEditor, image: HTMLImageElement, percentage: number, minWidth: number, minHeight: number): void;
