import type ImageEditInfo from '../types/ImageEditInfo';
/**
 * @internal
 * Save edit info to image
 * @param image The image to save edit info to
 * @param editInfo The edit info to save
 */
export declare function saveEditInfo(image: HTMLImageElement, editInfo: ImageEditInfo): void;
/**
 * @internal
 * Delete edit info of an image if any
 * @param image The image to delete edit info from
 */
export declare function deleteEditInfo(image: HTMLImageElement): void;
/**
 * @internal
 * Get image edit info from an image. If the image doesn't have edit info, create one from this image.
 * When create new edit info, it will have width/height set to the image's current client width/height, and
 * natural width/height set to the image's natural width/height, src set to its current src, and all
 * other fields set to 0.
 * @param image The image to get edit info from
 */
export declare function getEditInfoFromImage(image: HTMLImageElement): ImageEditInfo;
