"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var roosterjs_editor_dom_1 = require("roosterjs-editor-dom");
/**
 * @internal
 * Search through from editor div to it's root for the latest z-index value
 * @param editorDiv the editor div element
 * @returns the z index value
 */
function getLatestZIndex(editorDiv) {
    var child = editorDiv;
    var zIndex = 0;
    while (child && (0, roosterjs_editor_dom_1.getTagOfNode)(child) !== 'BODY') {
        var childZIndex = parseInt(child.style.zIndex || getComputedStyle(child).zIndex, 10);
        if (childZIndex) {
            zIndex = Math.max(zIndex, childZIndex);
        }
        child = child.parentElement;
    }
    return zIndex;
}
exports.default = getLatestZIndex;
//# sourceMappingURL=getLastZIndex.js.map