"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var roosterjs_editor_dom_1 = require("roosterjs-editor-dom");
/**
 * @internal
 * Convert pasted content from PowerPoint
 * @param event The BeforePaste event
 */
function convertPastedContentFromPowerPoint(event, trustedHTMLHandler) {
    var fragment = event.fragment, clipboardData = event.clipboardData;
    if (clipboardData.html && !clipboardData.text && clipboardData.image) {
        // It is possible that PowerPoint copied both image and HTML but not plain text.
        // We always prefer HTML if any.
        var doc = new DOMParser().parseFromString(trustedHTMLHandler(clipboardData.html), 'text/html');
        (0, roosterjs_editor_dom_1.moveChildNodes)(fragment, doc === null || doc === void 0 ? void 0 : doc.body);
    }
}
exports.default = convertPastedContentFromPowerPoint;
//# sourceMappingURL=convertPastedContentFromPowerPoint.js.map