"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var roosterjs_editor_dom_1 = require("roosterjs-editor-dom");
var deprecatedColorList_1 = require("./deprecatedColorList");
/**
 * @internal
 * Remove the deprecated colors from pasted content
 * @param sanitizingOption the sanitizingOption of BeforePasteEvent
 * */
function sanitizeHtmlColorsFromPastedContent(sanitizingOption) {
    ['color', 'background-color'].forEach(function (property) {
        (0, roosterjs_editor_dom_1.chainSanitizerCallback)(sanitizingOption.cssStyleCallbacks, property, function (value) { return deprecatedColorList_1.DeprecatedColorList.indexOf(value) < 0; });
    });
}
exports.default = sanitizeHtmlColorsFromPastedContent;
//# sourceMappingURL=sanitizeHtmlColorsFromPastedContent.js.map