"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var roosterjs_editor_dom_1 = require("roosterjs-editor-dom");
var SUPPORTED_PROTOCOLS = ['http:', 'https:', 'notes:', 'mailto:', 'onenote:'];
/**
 * @internal
 * Clear local paths and remove link
 * @param sanitizingOption the sanitizingOption of BeforePasteEvent
 * */
function sanitizeLinks(sanitizingOption) {
    (0, roosterjs_editor_dom_1.chainSanitizerCallback)(sanitizingOption.attributeCallbacks, 'href', function (value, element) { return validateLink(value, element); });
}
exports.default = sanitizeLinks;
function validateLink(link, htmlElement) {
    var url;
    try {
        url = new URL(link);
    }
    catch (_a) {
        url = undefined;
    }
    /* whitelist supported protocols */
    if (url && SUPPORTED_PROTOCOLS.indexOf(url.protocol) > -1) {
        return link;
    }
    htmlElement.removeAttribute('href');
    return '';
}
//# sourceMappingURL=sanitizeLinks.js.map