/**
 * @internal
 * Custom data for dom elements
 */
export default interface WordCustomData {
    /** The dict storing custom data, key is element Id, value is dictionary */
    dict: {
        [key: string]: {
            [key: string]: number;
        };
    };
    /** Next node Id to use */
    nextNodeId: number;
}
/**
 * @internal
 * Create an empty WordCustomData
 */
export declare function createCustomData(): WordCustomData;
/**
 * @internal
 * Sets the specified object data
 */
export declare function setObject(wordCustomData: WordCustomData, element: Node, key: string, value: any): void;
/**
 * @internal
 * Reads the specified object data
 */
export declare function getObject(wordCustomData: WordCustomData, element: Node, key: string): any;
