"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleKeyUpEvent = void 0;
var clearState_1 = require("../utils/clearState");
var roosterjs_editor_dom_1 = require("roosterjs-editor-dom");
var IGNORE_KEY_UP_KEYS = [
    16 /* SHIFT */,
    18 /* ALT */,
    91 /* META_LEFT */,
    17 /* CTRL_LEFT */,
    44 /* PRINT_SCREEN */,
];
/**
 * @internal
 */
function handleKeyUpEvent(event, state, editor) {
    var _a = event.rawEvent, shiftKey = _a.shiftKey, which = _a.which, ctrlKey = _a.ctrlKey;
    if (!shiftKey &&
        !ctrlKey &&
        state.firstTarget &&
        !state.preventKeyUp &&
        IGNORE_KEY_UP_KEYS.indexOf(which) == -1) {
        if ((0, roosterjs_editor_dom_1.isCharacterValue)(event.rawEvent)) {
            editor.addUndoSnapshot();
        }
        (0, clearState_1.clearState)(state, editor);
    }
    state.preventKeyUp = false;
}
exports.handleKeyUpEvent = handleKeyUpEvent;
//# sourceMappingURL=handleKeyUpEvent.js.map