"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCellCoordinates = void 0;
/**
 * @internal
 * Gets the coordinates of a cell
 * @param cellInput The cell the to find the coordinates
 * @returns Coordinates of the cell, null if not found
 */
function getCellCoordinates(vTable, cellInput) {
    var result;
    if (vTable === null || vTable === void 0 ? void 0 : vTable.cells) {
        for (var indexY = 0; indexY < vTable.cells.length; indexY++) {
            for (var indexX = 0; indexX < vTable.cells[indexY].length; indexX++) {
                if (cellInput == vTable.cells[indexY][indexX].td) {
                    result = {
                        x: indexX,
                        y: indexY,
                    };
                }
            }
        }
    }
    return result;
}
exports.getCellCoordinates = getCellCoordinates;
//# sourceMappingURL=getCellCoordinates.js.map